DAY 1

JS is a single threaded, synchronous language.
commented code will not run.
Data 
   string "they are always warped by double quote"
   number
   boolean

Operator
+ operator
      1+1 = 2
      "1"+ "1" = "11"
      "1" + 1 = "11"  always the string win 
In js the operation are performed between two values
 
Variable
   
DAY 2
 variable 
     we must define variable before calling variable.
     variable name must be descriptive.
     always use camelcase convention for naming variable.

string
    it can be define by using single quotes or double quotes
    we cannot use single quotes inside single quotes and same for double quotes

     js is a dynamic language because a variable can store different data at different time.

     % is reminder operator

DAY 5
    {
        every curly braces is like a new file 
         we can define variable call variable and so on 
        but we can not export variable defined inside curly braces
    }






INTERVIEW Questions
 1 + 2 + "3" + 4 + 5  = 3345 it calculate two value at a time.

Error
 address is not defined  => it mean  address variable is not defined.

define js single threaded, synchronous language , dynamic language

truly and falsy 

diffrence between arrow and normal function 

add sanjog


address thimi